Topic
  • 19 replies
  • Latest Post - ‏2018-01-17T18:54:50Z by msoucy
eric.simpson
eric.simpson
204 Posts

Pinned topic RDi 9.6 is available!!!

‏2017-11-16T11:10:01Z |

https://www.ibm.com/developerworks/community/blogs/49773f8f-a20d-4816-86f2-44a2d862dbc1/entry/Rational_Developer_for_i_V9_6_is_available?lang=en

Note: the docs and web install are live now.  It might take some time before all parts appear in the sites today.

  • MathiasLanglet
    MathiasLanglet
    6 Posts

    Re: RDi 9.6 is available!!!

    ‏2017-11-16T13:36:40Z  

    Hi Eric!

     

    With "all parts" do include the activation kits on IBM Rational License Key Center too? When I login there I can only see my old keys v7.5-v9.5.

     

    Any idea on how to get the activation kit for 9.6? I'll run the trial for now.

     

    Thanks,

    Mathias

     

  • eric.simpson
    eric.simpson
    204 Posts

    Re: RDi 9.6 is available!!!

    ‏2017-11-16T13:44:06Z  

    Hi Eric!

     

    With "all parts" do include the activation kits on IBM Rational License Key Center too? When I login there I can only see my old keys v7.5-v9.5.

     

    Any idea on how to get the activation kit for 9.6? I'll run the trial for now.

     

    Thanks,

    Mathias

     

    Hi Mathias,

     

    Please check later today.  It will take some time for all parts to appear.

  • Andreas Bott
    Andreas Bott
    45 Posts

    Re: RDi 9.6 is available!!!

    ‏2017-11-20T13:39:34Z  

    Hi,

     

    but the the RTC Client doesn's support Eclipse 4.6. Same with Datastudio. :-(

     

     

  • Hoss_Collins
    Hoss_Collins
    1 Post

    Re: RDi 9.6 is available!!!

    ‏2017-11-27T17:44:26Z  

    All is well and good that RDi 9.6 is available but I agree with Andreas! It is frustrating that it broke the integration with Data Studio 4.1.2.

     

    Hoss

     

     

  • Walt1968
    Walt1968
    8 Posts

    Re: RDi 9.6 is available!!!

    ‏2017-11-29T16:49:17Z  

    All is well and good that RDi 9.6 is available but I agree with Andreas! It is frustrating that it broke the integration with Data Studio 4.1.2.

     

    Hoss

     

     

    That is indeed unfortunate, as I use Data Studio quite extensively.

    I guess I won't be upgrading any time soon. 0-(

     

    Walt

     

     

  • JonParis
    JonParis
    87 Posts

    Re: RDi 9.6 is available!!!

    ‏2017-11-29T17:03:19Z  

    All is well and good that RDi 9.6 is available but I agree with Andreas! It is frustrating that it broke the integration with Data Studio 4.1.2.

     

    Hoss

     

     

    Bruce - can you see any sign that IBM are updating Data Studio at all?  Usually the RDi group are one of the later ones to move to a new Eclipse level so it looks to me as if it may have been abandoned without any formal announcements on the subject.  Some of the Lab Services DB2 group had been promoting the use of Data Studio over the last year or so - but they don't seem to have any idea as to its status.

    I've been using the data perspective components myself since Data Studio is not available for Mac anyway - I also can't help thinking that if DS had a future that the ACS group would have integrated their stuff into it rather than reinvent the wheel with the new features in the (effective but ugly) ACS workbench. Which really is ugly and not at all user friendly.

    Maybe something LUG should take up?

  • eric.simpson
    eric.simpson
    204 Posts

    Re: RDi 9.6 is available!!!

    ‏2017-11-29T17:03:25Z  

    Hi,

     

    but the the RTC Client doesn's support Eclipse 4.6. Same with Datastudio. :-(

     

     

    Hi Andreas,

     

    You can install the RTC client extension with RDi 96.  For the RTC client extension, you need 6.0.3 ifix 5 or higher.

  • eric.simpson
    eric.simpson
    204 Posts

    Re: RDi 9.6 is available!!!

    ‏2017-11-29T17:08:07Z  
    • JonParis
    • ‏2017-11-29T17:03:19Z

    Bruce - can you see any sign that IBM are updating Data Studio at all?  Usually the RDi group are one of the later ones to move to a new Eclipse level so it looks to me as if it may have been abandoned without any formal announcements on the subject.  Some of the Lab Services DB2 group had been promoting the use of Data Studio over the last year or so - but they don't seem to have any idea as to its status.

    I've been using the data perspective components myself since Data Studio is not available for Mac anyway - I also can't help thinking that if DS had a future that the ACS group would have integrated their stuff into it rather than reinvent the wheel with the new features in the (effective but ugly) ACS workbench. Which really is ugly and not at all user friendly.

    Maybe something LUG should take up?

    The issue of installing Data Studio in the same package group as RDi 96 is a high priority item and is being worked on.  For now, install Data Studio 412 in a separate package group.

  • Andreas Bott
    Andreas Bott
    45 Posts

    Re: RDi 9.6 is available!!!

    ‏2017-12-04T12:10:20Z  

    Hi Andreas,

     

    You can install the RTC client extension with RDi 96.  For the RTC client extension, you need 6.0.3 ifix 5 or higher.

    Hi,

     

     

    what is an ifix 5 ? Whats that ? The Installation Manager didn't suggest it to install. What do i have to do ? Can you give me an advise more ? THX.

     

    I got RTc Client installed over the P2 Repositroy, but there where many problems / errors.

    Until now i user RDi 9.5.1.2

  • eric.simpson
    eric.simpson
    204 Posts

    Re: RDi 9.6 is available!!!

    ‏2017-12-04T21:24:34Z  

    Hi,

     

     

    what is an ifix 5 ? Whats that ? The Installation Manager didn't suggest it to install. What do i have to do ? Can you give me an advise more ? THX.

     

    I got RTc Client installed over the P2 Repositroy, but there where many problems / errors.

    Until now i user RDi 9.5.1.2

    The RTC team will provide interim fixes (ifixes) on top of their client levels.  For their 6.0.3, they currently are up to ifix 9 from what I see at https://jazz.net/downloads/clm/releases/6.0.3?p=allDownloads. 

    If you want to use RTC client with RDi, the RDi 9.6 has a requirement that it be at 6.0.3 ifix 5 or higher.  So, a higher ifix level or use 6.0.4.  What version of RTC client are you using?

  • Andreas Bott
    Andreas Bott
    45 Posts

    Re: RDi 9.6 is available!!!

    ‏2017-12-06T15:43:03Z  

    The RTC team will provide interim fixes (ifixes) on top of their client levels.  For their 6.0.3, they currently are up to ifix 9 from what I see at https://jazz.net/downloads/clm/releases/6.0.3?p=allDownloads. 

    If you want to use RTC client with RDi, the RDi 9.6 has a requirement that it be at 6.0.3 ifix 5 or higher.  So, a higher ifix level or use 6.0.4.  What version of RTC client are you using?

    Hi,

     

    i was the newest at this time: 6.0.4.

    On the Wesite i see at the moment the 6.0.5 was released at 04.12.17 but there is also no release for the new Eclipse.

    Only for Eclipse 4.2, but this is not possible to install in RDi 9.6 with the Installation Manager.

    Workaround with the p2 Repo, but this leads to many problems / errors.

    I hope the next RTC Client release is for the new eclipse version. :-/

     

     

    Attachments

  • eric.simpson
    eric.simpson
    204 Posts

    Re: RDi 9.6 is available!!!

    ‏2017-12-06T19:13:33Z  

    Hi,

     

    i was the newest at this time: 6.0.4.

    On the Wesite i see at the moment the 6.0.5 was released at 04.12.17 but there is also no release for the new Eclipse.

    Only for Eclipse 4.2, but this is not possible to install in RDi 9.6 with the Installation Manager.

    Workaround with the p2 Repo, but this leads to many problems / errors.

    I hope the next RTC Client release is for the new eclipse version. :-/

     

     

    The RTC page lists it as 'for Eclipse 4.2' but it works for Eclipse 4.4 (RDi 9.5) and Eclipse 4.6 (RDi 9.6).

  • Andreas Bott
    Andreas Bott
    45 Posts

    Re: RDi 9.6 is available!!!

    ‏2017-12-07T07:43:07Z  

    The RTC page lists it as 'for Eclipse 4.2' but it works for Eclipse 4.4 (RDi 9.5) and Eclipse 4.6 (RDi 9.6).

    Hi,

     

    but not with the installation manager, like all the release in the past.

    How would you install it ? P2 Repository ?  Did you try ?  Did you test it ?

    I would help me to know how, then i can use the new RDi. THX

  • eric.simpson
    eric.simpson
    204 Posts

    Re: RDi 9.6 is available!!!

    ‏2017-12-07T14:09:23Z  

    Hi,

     

    but not with the installation manager, like all the release in the past.

    How would you install it ? P2 Repository ?  Did you try ?  Did you test it ?

    I would help me to know how, then i can use the new RDi. THX

    For RDi 9.6, it requires the 'Client Extension for Eclipse 4.x'.  In previous releases, RDi did install with the regular 'Client for Eclipse 4.2.x IDE'.  So, there is a change with RDi 9.6.  It is only the Client Extension for Eclipse 4.x that has an Installation Manager install that works with RDi 9.6.

     

    I downloaded the web install for CLM 6.0.5.  Then I started the launchpad.  I selected Install an IDE Client > Rational Team Concert - Client for Eclipse 4.2.x IDE.  This starts Installation Manager and shows Rational Team Concert - Client for Eclipse 4.2.x IDE.  This is not what RDi 9.6 supports. 

    Click on the 'Check for Other Versions, Fixes, and Extensions' button in Installation Manager.  Then it will list Rational Team Concert - Client Extension for Eclipse 4.x.  Select this one.

     

     

  • 9AH9_Ken_Rogers
    9AH9_Ken_Rogers
    4 Posts

    Re: RDi 9.6 is available!!!

    ‏2017-12-07T20:42:10Z  
    • Walt1968
    • ‏2017-11-29T16:49:17Z

    That is indeed unfortunate, as I use Data Studio quite extensively.

    I guess I won't be upgrading any time soon. 0-(

     

    Walt

     

     

    RDi 9.6 comes with data studio integrated into it already.  No need to try to re-install the data studio.

  • Walt1968
    Walt1968
    8 Posts

    Re: RDi 9.6 is available!!!

    ‏2017-12-14T14:47:31Z  

    RDi 9.6 comes with data studio integrated into it already.  No need to try to re-install the data studio.

    I don't believe this is accurate considering what Eric stated above.

     

  • 9AH9_Ken_Rogers
    9AH9_Ken_Rogers
    4 Posts

    Re: RDi 9.6 is available!!!

    ‏2017-12-14T14:57:22Z  
    • Walt1968
    • ‏2017-12-14T14:47:31Z

    I don't believe this is accurate considering what Eric stated above.

     

    You are correct.
    ​I had 9.5 installed along with data studio. Then I installed 9.6. The Data studio was actually in the 9.6 IDE but things were a little wonky.  The stored procedures were in the functions folder and when the DDL was recreated from them they were created as functions and most of the code was flagged as errors.

    That's why I thought that 9.6 came with data studio.

    However in order to get things working correctly I had to uninstall all of 9.5, 9.6, data studio then re-install 9.6 and data studio.  Now the 9.6 and data studio are not together in the same IDE but they work correctly.

     

  • 9AH9_Ken_Rogers
    9AH9_Ken_Rogers
    4 Posts

    Re: RDi 9.6 is available!!!

    ‏2017-12-21T18:55:38Z  

    RDi 9.6.0.1 is here and so is Data Studio 4.1.3
    ​This fixes the integration problem of RDi and Data Studio.

    You need to put on the 9.6.0.1 fix to install Data Studio 4.1.3 though.

    RDi 9.6 is here:                                                       

    https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ibm.com_developerworks_downloads_r_rdi_index.html&d=DwICaQ&c=8szmp7l0I_yDDpNcVnuXtw&r=bsTi4eFywP25qYq6gbK4WEe2jHHHFTilTn0gIZsUoJo&m=966s_Y-zt7BEms-_ty09vYZMS94zolCWvIUTp_9tj_o&s=izwjFR-2PFSNIZNIAkaBVrR78JBw3LyOfHs9JRuVzis&e=          

    RDi 9.6.0.1 is here:                                                   

    https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ibm.com_developerworks_community_blogs_49773f8f-2Da20d-2D4816-2D86&d=DwICaQ&c=8szmp7l0I_yDDpNcVnuXtw&r=bsTi4eFywP25qYq6gbK4WEe2jHHHFTilTn0gIZsUoJo&m=966s_Y-zt7BEms-_ty09vYZMS94zolCWvIUTp_9tj_o&s=4LesHLv7DDSw_FSCTMskipNPwI6QBDpDWJUXOUEiHDQ&e=

    f2-44a2d862dbc1/entry/Rational_Developer_for_i_V9_6_0_1_fixpack_is_now_a

    vailable_plus_Data_Studio_V4_1_3?lang=en                               

    or you can update it through IBM Installation Manager.                 

    Data Studio is here:                                                   

    https://urldefense.proofpoint.com/v2/url?u=https-3A__developer.ibm.com_mainframe_products_downloads_eclipse-2Dtools_&d=DwICaQ&c=8szmp7l0I_yDDpNcVnuXtw&r=bsTi4eFywP25qYq6gbK4WEe2jHHHFTilTn0gIZsUoJo&m=966s_Y-zt7BEms-_ty09vYZMS94zolCWvIUTp_9tj_o&s=nI6J3jJzTyR35t4NMVxxUCMqSrBSdHZAXAxH6VUEssA&e=  

  • msoucy
    msoucy
    11 Posts

    Re: RDi 9.6 is available!!!

    ‏2018-01-17T18:54:50Z  

    I see that in the announcement letter for RDi 9.6 that the EGL edition is staying at v9.5.1.  Does this mean that this is going to be the last version of RDi EGL edition that IBM plans to release?  Also, if I want RDi 9.6 does this mean I need to switch our license option to a version that is being updated like the RPG and COBOL edition or the Java edition?  To me it sounds like IBM is giving up on EGL.

    Updated on 2018-01-17T19:56:00Z at 2018-01-17T19:56:00Z by msoucy